Skip to content

Identity

Identity objects represent various forms of identification that a borrower may have. We allow one primary identity per borrower, and any number of secondary identities. The identity sent when creating a borrower is the primary identity, and cannot be deleted/archived or changed to be a secondary identity.

Get identities

Request

Security
oauth2(Required scopes: person.identity:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

Query
includeArchivedboolean

If set to true, includes archived identities

Default:false
GET
/people/{personId}/identities
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/identities?includeArchived=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(Identity)
Response
{ "count": 0, "status": 0, "data": [ {} ] }